# encoding: utf-8

module Rumix
	Tool = Struct.new(:id, :name, :weight)

	VERSION_NUMBER = 1.00
	VERSION = '1.00'
	TOOL_LIST_RUBY18 = [
		Tool.new(:rubygems, 'RubyGems 1.3.5', 100 * 2),
		Tool.new(:rake, 'Rake 0.8.7', 25 * 2),
		Tool.new(:exerb, 'Exerb 5.0.0', 50 * 2),
		Tool.new(:facets, 'Facets 2.7.0 (2 fixed)', 40 * 2),
		Tool.new(:visualuruby, 'VisualuRuby pack 2006', 30 * 2),
	]
	TOOL_LIST_RUBY191 = [
		Tool.new(:facets, 'Facets 2.7.0 (2 fixed)', 40 * 2),
	]
	COPY_OPTIONS = {:preserve => true}
	CUI_HELP_SENTENCE = "(If you want the manual of Rumix, add option '-h' or '--help')"
	
	ZIP_CHUNK_SIZE = 1024 * 4  # 4KB
	
	
end
